const btns = {
  delete: (h, params, vm) => {
    return h('Poptip', {
      props: {
        confirm: true,
        title: '你确定要删除吗?'
      },
      on: {
        'on-ok': () => {
           vm.$emit('on-delete', params)
           var m=params.tableData.filter((item, index) => index !== params.row.initRowIndex)
           //vm是tables,所以是它发出的事件，由于这个组件支持绑定，所以需要提供value和发出input事件，使用它的组件利用v-model语法糖实现绑定
           vm.$emit('input', m)
        }
      }
    }, [
      h('Button', {
        props: {
          type: 'text',
          ghost: true
        }
      }, [
        h('Icon', {
          props: {
            type: 'md-trash',
            size: 18,
            color: '#000000'
          }
        })
      ])
    ])
  },
  edit:(h,params,vm)=>{
    return h('Button',{
      props: {
        type: 'text',
        ghost: true
      }
    },[
      h('Icon', {
        props: {
          type: 'md-create',
          size: 18,
          color: '#000000'
        }
      })
    ])
  }
}

export default btns
